Skip to main content
GET
List 2FA verifications

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

service_id
string
required

The unique ID of the 2FA service.

Example:

"7204a030201211ee9fb47d093f2f127c"

Query Parameters

from
string<date>
required

Start of the date range to query, in YYYY-MM-DD format. Inclusive.

Example:

"2022-01-01"

to
string<date>
required

End of the date range to query, in YYYY-MM-DD format. Inclusive.

Example:

"2022-01-31"

Response

Returns the list of 2FA verifications.

created_at
string<date-time>

Date and time the 2FA Verification was created in ISO 8601 format.

Example:

"2022-02-16T13:41:38.000Z"

session_id
string

2FA Verification ID.

Example:

"2953d4308f2e11ecb75fcdafd6d2d687"

phone_number
string

Destination phone number.

Example:

"447919433768"

destination_country
string

Country code of the destination phone number in ISO 3166-1 alpha-2 format.

Example:

"GB"

status
string

Status of the 2FA Verification.

Example:

"verified"

charge
string

Charge for the 2FA Verification.

Example:

"0.01"

service_id
string

2FA Service ID.

Example:

"7204a030201211ee9fb47d093f2f127c"

service_name
string

2FA Service name.

Example:

"Wavix 2FA Service"

Example: